{% extends 'base.html.twig' %}

{% block body -%}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Router
                <img src="{{ asset('assets/images/Fortinet_logo.svg') }}" alt="logo"  style="max-height: 1em">
            </h1>

            <table class="table table-striped table-hover table-responsive">
                <thead>
                <tr>
                    <th>Host</th>
                    <th>Status</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                {% for entity in pagination %}
                    <tr>
                        <td><a href="{{ path('config_fortigate_edit', { 'id': entity.id }) }}">{{ entity.host }}:{{ entity.port }}</td>
                        <td>
                            <i class="{{ entity.status  ? 'c-teal-500 fas fa-check' : 'c-deep-orange-500 fas fa-times' }}"></i>
                        </td>
                        <td>
                            <a href="{{ path('config_fortigate_edit', { 'id': entity.id }) }}" class="btn btn-primary btn-sm">
                                Modifica
                            </a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div class="row">
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                    <div class="navigation">
                        {{ knp_pagination_render(pagination) }}
                    </div>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
                    <a class="btn btn-success" href="{{ path('config_fortigate_new') }}">
                        Aggiungi un nuovo router
                    </a>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end"></div>
            </div>
        </div>
    </main>
{% endblock %}